Subject: FW: scalability of LDP

From: [email-masked]
Date: Tue, 23 May 2000 19:47:18 +0100

Dear All,
>  
>  BT is looking at how best it may make contributions to the MPLS WG 
>  to make MPLS most useful and successful for large network operators. 
>  Of particular concern are the scaling properties of MPLS, in particular: 
> 
> *	What is the stability of LDP as the number of LSRs increase? Given 
> that as the network gets larger and the number of LSRs increase, the 
> topology will always be changing due to circuit or hardware faults; can 
> LDP cope with an ever-changing topology? Compare this with the need 
> to have route dampening on large BGP networks. 
>  
> *	Does LDP have similar scaling properties to IGPs? 
> 
> *	Does LDP fail safe or are there unstable modes it can get into? 
>  
> *	Have the scaling properties of LDP already been studied? 
>  
> *	Is it worth BT investing effort in modelling the scaling properties 
>  of LDP  or has a lot of work been done on this already? 
>  
> 
Regards,

 Paul

 Paul Mylotte

 IP Naming & Addressing 
 Group Technology 
 BT Adastral Park

 01 473 60 6333
 email: [email-masked]

---

From: Dave Katz <[email-masked]>
Date: Wed, 24 May 2000 10:09:43 -0700 (PDT)

The stability of LDP under duress, like that of any complex protocol, is
almost entirely dependent on the quality of the implementation.  There
is nothing inherent in LDP that would keep it from being stable with
arbitrarily large topologies (by trading off convergence time).  On
the other hand, it is as susceptible to avalanche collapse as any
other protocol if implemented naively.

   >  of LDP  or has a lot of work been done on this already? 

Modelling has never been a useful predictor of the stability or scaling
properties of real-world implementations.